Hello There, Guest! Login Register
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5

Changed IP and its all gone wrong.

#1
Can get to sub pages but not /config or main nems page! 


I get text but no links to pages. See attached Jpg. 

Thanks


Attached Files Thumbnail(s)
   
 Reply
#2
You don't explain what you did to break things. Do you mean you changed the DHCP-assigned IP for your NEMS server? If yes, I assume this behavior (in your screenshot) is the result of visiting https://nems.local/ and not https://_IP_ADDRESS/, correct? As your DNS on your computer is still caching the old IP address.

Let me know. You need to flush your computer's DNS, from what I can see. Try from a different computer on your network to confirm, or provide more details so I can help. :) Otherwise, I'm just guessing.
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#3
Hi Robbie, 

First thanks for the quick response, So Nems was setup and working fine, until I set a DHCP Reservation for the desired IP on our DHCP server using the MAC address of the PI. All fairly standard, restarted the PI and it gets its new IP address but now Im having this issue with displaying the main Nems page. I assumed that the setup hardcoded the IP. 

I am accessing using the http://10.0.1.140 This gives me the page in the screenshot https://10.0.1.140/nagios works fine.   and I get a blank page when going to https://10.0.1.140/config/ ..

So yeah confused.com
 Reply
#4
What was the IP address prior to setting the reservation?

What's the output if you run: nems-info ip

Can you pastebin the source code of http://10.0.1.140 and share it with me (visit the page, press CTRL-U, post the result)?

Also, Press F12 in your browser and view the console and see if there are any errors (perhaps a problem with SSL or maybe your network is blocking access to the assets CDN -- cdn.zecheriah.com). The console should show us this.

As a side note, are you certain there are no other devices who are hard-set to 10.0.1.140?

Thanks,
Robbie
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#5
IP address from nems-info ip 10.0.1.140 
https://pastebin.com/PzrTZXSM


Console shows - not sure if this is related. 

jquery-migrate.min.js:2 Uncaught ReferenceError: jQuery is not defined
    at jquery-migrate.min.js:2
bootstrap.min.js:6 Uncaught Error: Bootstrap's JavaScript requires jQuery
    at bootstrap.min.js:6
jquery.easing.min.js:44 Uncaught ReferenceError: jQuery is not defined
    at jquery.easing.min.js:44
jquery.parallax.js:4 Uncaught ReferenceError: jQuery is not defined
    at jquery.parallax.js:4
owl.carousel.js:113 Uncaught ReferenceError: jQuery is not defined
    at owl.carousel.js:113
jquery.form.min.js:7 Uncaught ReferenceError: jQuery is not defined
    at jquery.form.min.js:7
jquery.validate.min.js:4 Uncaught ReferenceError: jQuery is not defined
    at jquery.validate.min.js:4
jquery.cubeportfolio.min.js:11 Uncaught ReferenceError: jQuery is not defined
    at jquery.cubeportfolio.min.js:11
modernizr.js:35 [Deprecation] Application Cache is deprecated in non-secure contexts, and will be restricted to secure contexts in M69, around September 2018. Please consider migrating your application to HTTPS, and eventually shifting over to Service Workers. See https://goo.gl/rStTGz for more details.
window.Modernizr.tests.applicationcache @ modernizr.js:35
main.js:1 Uncaught ReferenceError: jQuery is not defined
    at main.js:1
jquery.backstretch.min.js:4 Uncaught ReferenceError: jQuery is not defined
    at jquery.backstretch.min.js:4
cube-portfolio-lightbox.js:5 Uncaught ReferenceError: jQuery is not defined
    at cube-portfolio-lightbox.js:5
(index):129 Uncaught ReferenceError: jQuery is not defined
    at (index):129

Definately no IP conflicts.

Thanks again , like I said. Broke it! Sorry Sad
 Reply
#6
Yeah, that's very odd. Notice the header file is missing entirely, so the nav, stylesheets, jQuery, and so-on are all missing. It's like your installation of nems-www is broken. Unlikely to be related to your IP change.

You didn't edit anything in /var/www/ did you?

Do you get any errors if you type: cd /var/www/html && sudo git pull

If not, can you please post the output of /var/log/apache2/error.log - you'll need to be super user (sudo su) to cat it.

Cheers,
Robbie
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#7
I guess yes for the error. 


[email protected]:~ $ cd /var/www/html
[email protected]:/var/www/html $ sudo git pull
[sudo] password for davidm:
error: object file .git/objects/64/e24100847d75d2c49960281f7faeb5485f8a1f is empty
error: object file .git/objects/64/e24100847d75d2c49960281f7faeb5485f8a1f is empty
fatal: loose object 64e24100847d75d2c49960281f7faeb5485f8a1f (stored in .git/objects/64/e24100847d75d2c49960281f7faeb5485f8a1f) is corrupt
fatal: The remote end hung up unexpectedly


Too a chunk of the last two days logs.

[Mon Jul 30 16:30:26.164661 2018] [ssl:warn] [pid 3727] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Mon Jul 30 16:30:27.000917 2018] [:notice] [pid 3727] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Mon Jul 30 16:30:27.001043 2018] [:notice] [pid 3727] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Mon Jul 30 16:30:27.001081 2018] [:notice] [pid 3727] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Mon Jul 30 16:30:27.001113 2018] [:notice] [pid 3727] ModSecurity: LUA compiled version="Lua 5.1"
[Mon Jul 30 16:30:27.001141 2018] [:notice] [pid 3727] ModSecurity: YAJL compiled version="2.1.0"
[Mon Jul 30 16:30:27.001168 2018] [:notice] [pid 3727] ModSecurity: LIBXML compiled version="2.9.4"
[Mon Jul 30 16:30:27.001196 2018] [:notice] [pid 3727] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Mon Jul 30 16:30:27.001226 2018] [:notice] [pid 3727] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Mon Jul 30 16:30:27.423442 2018] [ssl:warn] [pid 3728] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Mon Jul 30 16:30:28.050297 2018] [mpm_prefork:notice] [pid 3728] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Mon Jul 30 16:30:28.050501 2018] [core:notice] [pid 3728] AH00094: Command line: '/usr/sbin/apache2'
[Mon Jul 30 16:35:14.198131 2018] [mpm_prefork:notice] [pid 3728] AH00169: caught SIGTERM, shutting down
[Mon Jul 30 16:35:14.675049 2018] [ssl:warn] [pid 6550] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Mon Jul 30 16:35:15.000382 2018] [:notice] [pid 6550] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Mon Jul 30 16:35:15.436991 2018] [:notice] [pid 6550] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Mon Jul 30 16:35:15.437068 2018] [:notice] [pid 6550] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Mon Jul 30 16:35:15.437187 2018] [:notice] [pid 6550] ModSecurity: LUA compiled version="Lua 5.1"
[Mon Jul 30 16:35:15.437216 2018] [:notice] [pid 6550] ModSecurity: YAJL compiled version="2.1.0"
[Mon Jul 30 16:35:15.437242 2018] [:notice] [pid 6550] ModSecurity: LIBXML compiled version="2.9.4"
[Mon Jul 30 16:35:15.437267 2018] [:notice] [pid 6550] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Mon Jul 30 16:35:15.437292 2018] [:notice] [pid 6550] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Mon Jul 30 16:35:15.882696 2018] [ssl:warn] [pid 6551] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Mon Jul 30 16:35:16.028191 2018] [mpm_prefork:notice] [pid 6551] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Mon Jul 30 16:35:16.028400 2018] [core:notice] [pid 6551] AH00094: Command line: '/usr/sbin/apache2'
[Tue Jul 31 00:00:49.566869 2018] [mpm_prefork:notice] [pid 6551] AH00169: caught SIGTERM, shutting down
[Tue Jul 31 00:00:50.019790 2018] [ssl:warn] [pid 11631] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 00:00:51.001055 2018] [:notice] [pid 11631] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Tue Jul 31 00:00:51.001184 2018] [:notice] [pid 11631] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Tue Jul 31 00:00:51.001224 2018] [:notice] [pid 11631] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Tue Jul 31 00:00:51.001255 2018] [:notice] [pid 11631] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Jul 31 00:00:51.001282 2018] [:notice] [pid 11631] ModSecurity: YAJL compiled version="2.1.0"
[Tue Jul 31 00:00:51.001310 2018] [:notice] [pid 11631] ModSecurity: LIBXML compiled version="2.9.4"
[Tue Jul 31 00:00:51.001337 2018] [:notice] [pid 11631] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Tue Jul 31 00:00:51.001365 2018] [:notice] [pid 11631] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Tue Jul 31 00:00:51.428715 2018] [ssl:warn] [pid 11632] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 00:00:52.058049 2018] [mpm_prefork:notice] [pid 11632] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Tue Jul 31 00:00:52.058246 2018] [core:notice] [pid 11632] AH00094: Command line: '/usr/sbin/apache2'
[Tue Jul 31 00:01:49.302415 2018] [mpm_prefork:notice] [pid 11632] AH00169: caught SIGTERM, shutting down
[Tue Jul 31 00:01:49.820240 2018] [ssl:warn] [pid 12705] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 00:01:50.000228 2018] [:notice] [pid 12705] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Tue Jul 31 00:01:50.000311 2018] [:notice] [pid 12705] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Tue Jul 31 00:01:50.000330 2018] [:notice] [pid 12705] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Tue Jul 31 00:01:50.000346 2018] [:notice] [pid 12705] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Jul 31 00:01:50.000360 2018] [:notice] [pid 12705] ModSecurity: YAJL compiled version="2.1.0"
[Tue Jul 31 00:01:50.000373 2018] [:notice] [pid 12705] ModSecurity: LIBXML compiled version="2.9.4"
[Tue Jul 31 00:01:50.000387 2018] [:notice] [pid 12705] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Tue Jul 31 00:01:50.000401 2018] [:notice] [pid 12705] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Tue Jul 31 00:01:50.378806 2018] [ssl:warn] [pid 12706] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 00:01:51.031997 2018] [mpm_prefork:notice] [pid 12706] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Tue Jul 31 00:01:51.032186 2018] [core:notice] [pid 12706] AH00094: Command line: '/usr/sbin/apache2'
[Tue Jul 31 11:03:57.865334 2018] [:error] [pid 21792] [client 10.0.1.121:65406] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_serv...step2=true
[Tue Jul 31 11:03:57.898948 2018] [:error] [pid 21792] [client 10.0.1.121:65406] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_serv...step2=true
[Tue Jul 31 11:05:22.750578 2018] [:error] [pid 16471] [client 10.0.1.121:49217] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_serv...step2=true
[Tue Jul 31 11:05:22.770677 2018] [:error] [pid 16471] [client 10.0.1.121:49217] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_serv...step2=true
[Tue Jul 31 11:17:31.356092 2018] [:error] [pid 12824] [client 10.0.1.121:49582] PHP Warning:  mysqli_affected_rows() expects exactly 1 parameter, 0 given in /var/www/nconf/delete_item.php on line 79, referer: http://10.0.1.140/nconf/delete_item.php?...e&ids=5513
[Tue Jul 31 11:17:38.462194 2018] [:error] [pid 12824] [client 10.0.1.121:49582] PHP Warning:  mysqli_affected_rows() expects exactly 1 parameter, 0 given in /var/www/nconf/delete_item.php on line 79, referer: http://10.0.1.140/nconf/delete_item.php?...e&ids=5514

[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]


[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]

[Tue Jul 31 11:59:44.915316 2018] [:error] [pid 25269] [client 10.0.1.121:51183] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_service.php?id=5512
[Tue Jul 31 11:59:44.932739 2018] [:error] [pid 25269] [client 10.0.1.121:51183] PHP Notice:  Array to string conversion in /var/www/nconf/include/ajax/service_add.php on line 267, referer: http://10.0.1.140/nconf/modify_item_service.php?id=5512

[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]


[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]

[Tue Jul 31 12:02:26.540054 2018] [:error] [pid 31954] [client 10.0.1.121:51370] PHP Warning:  mysqli_affected_rows() expects exactly 1 parameter, 0 given in /var/www/nconf/delete_item.php on line 79, referer: http://10.0.1.140/nconf/delete_item.php?...e&ids=5515

[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]


[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]

[Tue Jul 31 14:33:43.739679 2018] [:error] [pid 18828] [client 10.0.1.121:55974] PHP Notice:  Undefined variable: osb in /var/www/html/backup/nems-migrator/index.php on line 41
[Tue Jul 31 15:17:33.057853 2018] [mpm_prefork:notice] [pid 12706] AH00169: caught SIGTERM, shutting down
[Tue Jul 31 15:17:33.530547 2018] [ssl:warn] [pid 10366] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 15:17:34.000556 2018] [:notice] [pid 10366] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Tue Jul 31 15:17:34.004342 2018] [:notice] [pid 10366] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Tue Jul 31 15:17:34.004384 2018] [:notice] [pid 10366] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Tue Jul 31 15:17:34.004413 2018] [:notice] [pid 10366] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Jul 31 15:17:34.004438 2018] [:notice] [pid 10366] ModSecurity: YAJL compiled version="2.1.0"
[Tue Jul 31 15:17:34.004462 2018] [:notice] [pid 10366] ModSecurity: LIBXML compiled version="2.9.4"
[Tue Jul 31 15:17:34.004486 2018] [:notice] [pid 10366] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Tue Jul 31 15:17:34.004511 2018] [:notice] [pid 10366] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Tue Jul 31 15:17:34.397600 2018] [ssl:warn] [pid 10367] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 15:17:35.028977 2018] [mpm_prefork:notice] [pid 10367] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Tue Jul 31 15:17:35.029130 2018] [core:notice] [pid 10367] AH00094: Command line: '/usr/sbin/apache2'
[Tue Jul 31 15:18:30.101053 2018] [mpm_prefork:notice] [pid 10367] AH00169: caught SIGTERM, shutting down
[Tue Jul 31 15:18:30.586267 2018] [ssl:warn] [pid 11505] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 15:18:31.000471 2018] [:notice] [pid 11505] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Tue Jul 31 15:18:31.000559 2018] [:notice] [pid 11505] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Tue Jul 31 15:18:31.000580 2018] [:notice] [pid 11505] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Tue Jul 31 15:18:31.000596 2018] [:notice] [pid 11505] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Jul 31 15:18:31.000610 2018] [:notice] [pid 11505] ModSecurity: YAJL compiled version="2.1.0"
[Tue Jul 31 15:18:31.000623 2018] [:notice] [pid 11505] ModSecurity: LIBXML compiled version="2.9.4"
[Tue Jul 31 15:18:31.000637 2018] [:notice] [pid 11505] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Tue Jul 31 15:18:31.000651 2018] [:notice] [pid 11505] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Tue Jul 31 15:18:31.406738 2018] [ssl:warn] [pid 11506] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Tue Jul 31 15:18:32.041165 2018] [mpm_prefork:notice] [pid 11506] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Tue Jul 31 15:18:32.041337 2018] [core:notice] [pid 11506] AH00094: Command line: '/usr/sbin/apache2'
[Wed Aug 01 00:01:04.784656 2018] [mpm_prefork:notice] [pid 11506] AH00169: caught SIGTERM, shutting down
[Wed Aug 01 00:01:05.215233 2018] [ssl:warn] [pid 18583] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Wed Aug 01 00:01:06.000868 2018] [:notice] [pid 18583] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Wed Aug 01 00:01:06.001011 2018] [:notice] [pid 18583] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Wed Aug 01 00:01:06.001049 2018] [:notice] [pid 18583] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Wed Aug 01 00:01:06.001080 2018] [:notice] [pid 18583] ModSecurity: LUA compiled version="Lua 5.1"
[Wed Aug 01 00:01:06.001108 2018] [:notice] [pid 18583] ModSecurity: YAJL compiled version="2.1.0"
[Wed Aug 01 00:01:06.001137 2018] [:notice] [pid 18583] ModSecurity: LIBXML compiled version="2.9.4"
[Wed Aug 01 00:01:06.001164 2018] [:notice] [pid 18583] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Wed Aug 01 00:01:06.001192 2018] [:notice] [pid 18583] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Wed Aug 01 00:01:06.433385 2018] [ssl:warn] [pid 18584] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Wed Aug 01 00:01:07.035313 2018] [mpm_prefork:notice] [pid 18584] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Wed Aug 01 00:01:07.035505 2018] [core:notice] [pid 18584] AH00094: Command line: '/usr/sbin/apache2'
[Wed Aug 01 00:02:04.252096 2018] [mpm_prefork:notice] [pid 18584] AH00169: caught SIGTERM, shutting down
[Wed Aug 01 00:02:04.704287 2018] [ssl:warn] [pid 19725] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Wed Aug 01 00:02:05.000367 2018] [:notice] [pid 19725] ModSecurity for Apache/2.9.1 (http://www.modsecurity.org/) configured.
[Wed Aug 01 00:02:05.000486 2018] [:notice] [pid 19725] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Wed Aug 01 00:02:05.000525 2018] [:notice] [pid 19725] ModSecurity: PCRE compiled version="8.39 "; loaded version="8.39 2016-06-14"
[Wed Aug 01 00:02:05.000555 2018] [:notice] [pid 19725] ModSecurity: LUA compiled version="Lua 5.1"
[Wed Aug 01 00:02:05.000582 2018] [:notice] [pid 19725] ModSecurity: YAJL compiled version="2.1.0"
[Wed Aug 01 00:02:05.000610 2018] [:notice] [pid 19725] ModSecurity: LIBXML compiled version="2.9.4"
[Wed Aug 01 00:02:05.000638 2018] [:notice] [pid 19725] ModSecurity: Original server signature: Apache/2.4.25 (Raspbian)
[Wed Aug 01 00:02:05.000666 2018] [:notice] [pid 19725] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Wed Aug 01 00:02:05.391761 2018] [ssl:warn] [pid 19726] AH01909: www.nems.local:443:0 server certificate does NOT include an ID which matches the server name
[Wed Aug 01 00:02:06.038810 2018] [mpm_prefork:notice] [pid 19726] AH00163: Apache/2.4.25 (Raspbian) OpenSSL/1.0.2l mod_wsgi/4.5.11 Python/2.7 NEMS_Linux/1.4 configured -- resuming normal operations
[Wed Aug 01 00:02:06.038960 2018] [core:notice] [pid 19726] AH00094: Command line: '/usr/sbin/apache2'

[ Initializing NConf perl-API (library version 0.3, written by A. Gargiulo) ]
[ Copyright © 2006 - 2013 Sunrise Communications AG, Zurich, Switzerland  ]
 Reply
#8
"blah blah blah blah blah blah is corrupt"

Confirmed. What happened to your nems-www? Maybe you shut down unsafely while an update was running?

The easiest (and safest) way to recover is to save a nems-migrator backup.nems file, re-flash the Pi with a clean install of NEMS 1.4.1 and then restore your backup.nems file.

This is not normal behavior and points to something having happened on your end. My best guess without knowing more is that your NEMS server was at some point powered off unsafely and happened to be doing an update at the time. Perhaps powered on, then unplugged almost immediately afterward, during the boot. Just a guess as I wasn't there  :)

Do you have a second SD card you can use to migrate to?
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
#9
Perfect my boss who supplied the pi and introduced me to nems has a spare. i have a backup so yes. I will do that. Thanks a million and love what you are doing with this.

Stephen
 Reply
#10
Thanks Stephen. I simply prefer you to use a second SD card for the restore just so your original install isn't lost in the process. Once you're up and running on the new SD card, you can blast the old one.

And of course, the Migrator step is only really required if you have already configured a bunch of hosts and so-on.

Please let me know how it goes.

Looking forward to welcoming you as a Patron! :P I'm very subtle with hints, I know. haha!

Robbie
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
 
 
Forum Jump:

Users browsing this thread: 1 Guest(s)